* {
    margin: 0;
    padding: 0;
}
html {
    height: 100%;
}
body {
    min-height: 95%;
    background-color: #FFC900;
    box-sizing: border-box;
    font-family:'Courier New', Courier, monospace;
}
h1 {
    width: 30rem;
    margin: 0.5rem auto;
    color: #FFC900;
    background-color: #000000;
    text-align: center;
    font-size: 2.5rem;
    box-shadow: #92A9BD 4px 4px 0 0;
}
.top {
    margin: 0.8rem auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.board {
    width: 30rem;
    height: 25rem;
    background-color: #FFFDDE;
    border: 5px solid #000000;
    border-radius: 10px;
    display: flex;
    padding: 1rem;
}
.slider {
    position: relative;
}
#box-number {
    position: absolute;
    left: -8rem;
    top: -2.5rem;
    transform: rotate(270deg);
    -webkit-appearance: none;
    width: 20rem;
    height: 15px;
    border-radius: 5px;
    background: #d3d3d3;
    outline: none;
    -webkit-transition: .2s;
    transition: opacity .2s;
}  
#box-number::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #000000;
    cursor: pointer;
}
  
#box-number::-moz-range-thumb {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #000000;
    cursor: pointer;
}
.reset {
    position: absolute;
    top: 9.8rem;
    left: 1rem;
    width: 8rem;
    height: 3rem;
    border: 3px solid #000000;
    background-color: #FFC900;
    color: #000000;
    border-radius: 5px;
    font-size: 1.3rem;
    transition: all ease-in-out 200ms;
}
.reset:hover {
    background-color: #000000;
    color: #FFC900;
    cursor: pointer;
}
.reset:active {
    outline: 3px solid #FFC900;
    outline-offset: -0.4rem;
}
.bottom {
    display: flex;
    justify-content: center;
    gap: 1.5rem;
}
.flexbox, .flex-items {
    box-sizing: border-box;
    width: 27rem;
    background-color: #FFFDDE;
    border: 5px solid #000000;
    border-radius: 10px;
    color: #000000;
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 1.2;
    padding: 0.7rem;
}
table {
    margin-left: 5%;
    width: 87%;
}
.flexbox select, #align-self {
    width: 100%;
}

select {
    height: 1.5rem;
    font-size: 1rem;
    border-radius: 3px;
    margin-left: 0;
}
.flex-items input {
    width: 100%;
    height: 1.2rem;
}
#flex-basis {
    width: 80%;
}
.px {
    font-size: 1.2rem;
}
  
.box {
    background-color: #FEE440;
    border: 3px solid #000000;
    padding: 2rem;
    font-weight: 900;
    font-size: 2rem;
}